std::unary_negate< _Predicate >(3)

NAME
std::unary_negate< _Predicate > -

SYNOPSIS

Inherits std::unary_function< _Predicate::argument_type, bool >.

  Public Types
typedef _Predicate::argument_type argument_type
typedef bool result_type

  Public Member Functions
_GLIBCXX14_CONSTEXPR unary_negate (const _Predicate &__x)
_GLIBCXX14_CONSTEXPR bool operator() (const typename _Predicate::argument_type &__x) const

  Protected Attributes
_Predicate _M_pred

Detailed Description

  template<typename _Predicate>class std::unary_negate< _Predicate >
One of the negation functors.

Definition at line 742 of file stl_function.h.

Member Typedef Documentation

  typedef _Predicate::argument_type std::unary_function< _Predicate::argument_type , bool >::argument_type [inherited]

argument_type is the type of the argument

Definition at line 108 of file stl_function.h.

  typedef bool std::unary_function< _Predicate::argument_type , bool >::result_type [inherited]

result_type is the return type

Definition at line 111 of file stl_function.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.